import QtQuick 2.0
import Ubuntu.Components 0.1
import Ubuntu.Components.ListItems 0.1 as ListItem

Rectangle {
	id: root

	color: Qt.rgba(0.132, 0.117, 0.109, 0.9)
	width: units.gu(50)
	height: units.gu(71)

	anchors.margins: units.gu(1)

	ListModel {
		id: myModel

		ListElement {
			icon: "messages"
			name: "I missed your call - can you call me now?"
		}

		ListElement {
			icon: "messages"
			name: "I'm running late. I'm on my way."
		}

		ListElement {
			icon: "messages"
			name: "I'm busy at the moment. I'll call later."
		}

		ListElement {
			icon: "edit"
			name: "Custom"
		}
	}

	Column {
		id: column

		anchors.fill: parent
		anchors.margins: units.gu(1)
		spacing: units.gu(1)

        Row {
        	id: row

        	spacing: column.spacing

			Button {
				id: leftButton

				width: (column.width - column.spacing) / 2
				text: "End + Answer"
				gradient: Gradient {
					GradientStop { position: 0.0; color: "#534e4b" }
					GradientStop { position: 1.0; color: "#5d5856" }
				}
				onClicked: print ("Clicked on " + text)
			}

			Button {
				id: rightButton

				width: (column.width - column.spacing) / 2
				text: "Hold + Answer"
				gradient: Gradient {
					GradientStop { position: 0.0; color: "#39b44a" }
					GradientStop { position: 1.0; color: "#50be61" }
				}
				onClicked: print ("Clicked on " + text)
			}
        }

        ComboButton {
        	width: parent.width
            text: "Decline"
			gradient: Gradient {
				GradientStop { position: 0.0; color: "#534e4b" }
				GradientStop { position: 1.0; color: "#5d5856" }
			}
			onClicked: print ("Clicked on " + text)
            expanded: false
            expandedHeight: myModel.count * units.gu(4) + units.gu(4.5)
            comboList: ListView {
            	id: myView

				width: parent.width
				interactive: false

            	model: myModel
            	delegate: Column {
            		id: myDelegate

            		width: parent.width
            		height: leftButton.height

            		ListItem.ThinDivider {
            			visible: index != 0
            		}

            		Row {
	            		Rectangle {
	            			id: frame

							color: Qt.rgba(0.0, 0.0, 0.0, 0.0)
							width: myDelegate.height
							height: width

							Icon {
								anchors.fill: parent
								anchors.margins: units.gu(1)
				            	width: units.gu(3)
				            	height: units.gu(3)
				            	name: icon
				            	color: "white"
							}	            			
	            		}

			        	Label {
			        		height: frame.height
			        		verticalAlignment: Text.AlignVCenter
				            fontSize: "small"
				            color: "white"
				            text: name
						}
            		}
            	}
            }
        }
	}
}
